This README.md file was generated on Sun 4 July, 2021.

-----
General information
-----

**Dataset** of the research paper:

	Software Engineering Education Knowledge versus Industrial Needs

**Authors:**

	Georgios Liargkovas, Angeliki Papadopoulou, Zoe Kotti, and Diomidis Spinellis
	Department of Management Science and Technology
	Athens University of Economics and Business
	Athens, Greece
	{t8180061,t8180094,zoekotti,dds}@aueb.gr

-----
Data & file overview
-----

The dataset contains the produced data of the associated work. The following files are included.

- **wikipedia_articles.csv**: Wikipedia articles mapped to the knowledge units of the 2014 IEEE/ACM Software Engineering Education Knowledge (SEEK) and the first and second level categories of the 2012 ACM Computing Classification System (CCS). The file consists of the following fields.

	  - title: Wikipedia article's title in a unified format
	  - canonicalized_title: article's title derived from the canonicalization of the article titles
	  - frequency: article's number of references in Stack Overflow data dump. Only one reference of each article per post is counted.
	  - score: the sum of the score of the posts containing a specific Wikipedia article title
	  - author_1_match: the SEEK category the article was mapped to by the first author
	  - author_1_partial_match: 1 if first author's match was partial, else empty
	  - author_2_match: the SEEK category the article was mapped to by the second author
	  - author_2_partial_match: 1 if second author's match was partial, else empty
	  - author_3_match: the SEEK category the article was mapped to by the third author, only in case of disagreement between authors 1 and 2, else empty
	  - author_3_partial_match: 1 if third author's match was partial, else empty
	  - final_match: the final category the article was mapped to
	  - partial_match: 1 if the final match was partial, else empty
	  - not_covered_acm_ccs_category: the CCS category if the final match was ``not_covered``, else empty
	  - not_covered_acm_ccs_subcategory: the CCS subcategory if the final match was ``not_covered``, else empty
	  - partially_covered_acm_ccs_category: the CCS category if the final match was partial, else empty
	  - partially_covered_acm_ccs_subcategory: the CCS subcategory if the final match was partial, else empty

- **posts_analysis.csv**: Stack Overflow post data and metadata. The file contains the following fields.

	  - postid: anonymized id of the Stack Overflow post
	  - title: the title of the post if the post was a question, or the title of the parent post if the post was an answer
	  - category: the post content category assigned by the authors
	  - keywords: the keywords of the post assigned by the authors

- **posts_aggregated_codes.csv**: The aggregated codes that resulted from the manual analysis of the Stack Overflow posts by grouping individual keywords assigned to the posts. The file consists of the following fields.

	  - aggregated_code: the aggregated code
	  - posts: the number of Stack Overflow posts labeled with this aggregated code
	  - frequency: the percentage of Stack Overflow posts labeled with this aggregated code

- **survey_questionnaire.pdf**: The final survey questionnaire

- **survey_responses.csv**: Anonymized responses of the final survey questionnaire. (E-mail addresses have been excluded for privacy reasons.)
